from django.shortcuts import render
from .models import Skill

def index(request):
    """Render the landing screen with a list of skills."""
    skills = Skill.objects.all().order_by('-created_at')
    context = {
        'skills': skills,
    }
    return render(request, 'core/index.html', context)

def article_detail(request, pk):
    # This is a placeholder for a future skill detail page
    return render(request, 'core/article_detail.html')
